Public Attributes | List of all members
_xqspi_command_t Struct Reference
Peripheral Driver » HAL Driver » XQSPI » Structures » XQSPI command

XQSPI command Structure definition. More...

`#include <gr55xx_hal_xqspi.h>`

## Public Attributes
uint32_t | inst
| Specifies the Instruction to be sent. More...
uint32_t | addr
| Specifies the Address to be sent (Size from 1 to 4 bytes according to AddressSize). More...
uint32_t | inst_size
| Specifies the Instruction Size. More...
uint32_t | addr_size
| Specifies the Address Size. More...
uint32_t | dummy_cycles
| Specifies the Number of Dummy Cycles. More...
uint32_t | inst_addr_mode
| Specifies the Instruction and Address Mode. More...
uint32_t | data_mode
| Specifies the Data Mode (used for dummy cycles and data phases). More...
uint32_t | length
| Specifies the number of data to transfer. More...

## Detailed Description

XQSPI command Structure definition.

Definition at line 174 of file gr55xx_hal_xqspi.h.

## Member Data Documentation

## ◆ addr

uint32_t _xqspi_command_t::addr

Specifies the Address to be sent (Size from 1 to 4 bytes according to AddressSize).

This parameter can be a value (32-bits) between 0x0 and 0xFFFFFFFF

Definition at line 179 of file gr55xx_hal_xqspi.h.

## ◆ addr_size

uint32_t _xqspi_command_t::addr_size

Specifies the Address Size.

This parameter can be a value of XQSPI Address Size, only in QSPI mode

Definition at line 185 of file gr55xx_hal_xqspi.h.

## ◆ data_mode

uint32_t _xqspi_command_t::data_mode

Specifies the Data Mode (used for dummy cycles and data phases).

This parameter can be a value of XQSPI Data Mode, only in QSPI mode

Definition at line 194 of file gr55xx_hal_xqspi.h.

## ◆ dummy_cycles

uint32_t _xqspi_command_t::dummy_cycles

Specifies the Number of Dummy Cycles.

This parameter can be a number between 0 and 31

Definition at line 188 of file gr55xx_hal_xqspi.h.

## ◆ inst

uint32_t _xqspi_command_t::inst

Specifies the Instruction to be sent.

This parameter can be a value (8-bit) between 0x00 and 0xFF

Definition at line 176 of file gr55xx_hal_xqspi.h.

## ◆ inst_addr_mode

uint32_t _xqspi_command_t::inst_addr_mode

Specifies the Instruction and Address Mode.

This parameter can be a value of XQSPI Instruction and Address Mode, only in QSPI mode

Definition at line 191 of file gr55xx_hal_xqspi.h.

## ◆ inst_size

uint32_t _xqspi_command_t::inst_size

Specifies the Instruction Size.

This parameter can be a value of XQSPI Instruction Size, only in QSPI mode

Definition at line 182 of file gr55xx_hal_xqspi.h.

## ◆ length

uint32_t _xqspi_command_t::length

Specifies the number of data to transfer.

(This is the number of bytes). This parameter can be any value between 0 and 0xFFFFFFFF (0 means undefined length until end of memory)

Definition at line 197 of file gr55xx_hal_xqspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_xqspi.h